<?php
$db_server='(local)\SQLEXPRESS';
//$db_server='DEVJC';
//$db_server='(local)';

$db_user='sa';
$db_pass='ats475';
$db_table='prefrio';


/*
$db_server='(local)\SQLEXPRESS';
$db_user='sa';
$db_pass='angola';
$db_table='temp2';
*/
function conexion()
    {
    global $conn;
    global $db_server, $db_user, $db_pass, $db_table;

    /*
    $conn = @mssql_connect ('(local)\SQLExpress', 'sa', 'akira') or die ('No puedo conectar de la base de datos'); 	
    mssql_select_db('temp'); 
    */

    $conn=mssql_connect($db_server, $db_user,
        $db_pass) or die('No puedo conectar de la base de datos :' . mssql_get_last_message());
    mssql_select_db($db_table);
    }

function desconexion($conn) { mssql_close($conn); }

function rows_affected()
    {
    $result=mssql_query('SELECT @@ROWCOUNT');
    list($affected)=mssql_fetch_row($result);
    return $affected;
    }

function ejecutarsql($sql, &$filas, &$resultado, $muestraerror = true)
    {
    global $conn;
	
  /*  $fp=fopen('c:\php_sql.log', 'a+');
    fwrite($fp, "\n\n LOG:* $sql *<br>\n");
    fclose($fp); */
	
    $resultado=mssql_query($sql, $conn) or die("\n\nNo puede ejecutar query :$sql <br>\n");

    if (!$resultado and $muestraerror)
        {
        echo "\n\n No puede ejecutar query :$sql <br>\n";

        exit;
        }

    $filas=rows_affected();
    }
function ejecutarsql2($sql, &$filas, &$resultado)
    {
    global $conn;
	/*
    $fp=fopen('c:\php_sql.log', 'a+');
    fwrite($fp, "\n\n LOG:* $sql *<br>\n");
    fclose($fp);
	*/
    $resultado=@mssql_query($sql, $conn);

    
    $filas=rows_affected();
    }
	function ejecutarsqlvalue($sql, &$filas, &$resultado, $muestraerror = true,$field)
    {
		global $conn;


		$resultado=@mssql_query($sql, $conn) or die("\n\nNo puede ejecutar query :$sql <br>\n");

		if (!$resultado and $muestraerror)
        {
        echo "\n\n No puede ejecutar query :$sql <br>\n";
        exit;
        }

		$filas=rows_affected();
		$valor=@mssql_result($resultado,0, $field);
		return $valor;
	
    }
	
function ejecutarprocedimiento($proc, &$datos, $nombrecampo, $tipocampo)
    {
    $sp=mssql_init("$proc"); // stored proc name

    for ($i=0; $i < count($datos); $i++)
        {
        switch ($tipocampo[$i])
            {
            case 'vc200':
                mssql_bind($sp, "@" . $nombrecampo[$i], $datos[$i], SQLVARCHAR, FALSE, FALSE, 200);
                break;

            case 'int':
                mssql_bind($sp, "@" . $nombrecampo[$i], $datos[$i], SQLINT4);
                break;
            case 'dec':
                mssql_bind($sp, "@" . $nombrecampo[$i], $datos[$i], SQLFLT8);
                break;		
            case 'output':
                mssql_bind($sp, "@" . $nombrecampo[$i], $datos[$i], SQLVARCHAR, true);
                break;

            case 'outputi':
                mssql_bind($sp, "@" . $nombrecampo[$i], $datos[$i], SQLINT4, true);
                break;

            default:
                echo "error en ejecutar sql, tipo desconocido :" . $tipocampo[$i];
                break;
            }
        }
    //$tmp2=debug($datos).debug($tipocampo)."<br>proceso:".$proc."<br>";
    $tmp2="";
    $tmp=mssql_execute($sp) or die($proc);

    return $tmp; // or die("No pude realizar $proc<br>");
    }
?>